import request from '@/utils/request'

// 查询基础题库列表
export function listBusExamQuestion(query) {
  return request({
    url: '/manage/busExamQuestion/list',
    method: 'get',
    params: query
  })
}

// 查询基础题库详细
export function getBusExamQuestion(id) {
  return request({
    url: '/manage/busExamQuestion/' + id,
    method: 'get'
  })
}

// 新增基础题库
export function addBusExamQuestion(data) {
  return request({
    url: '/manage/busExamQuestion',
    method: 'post',
    data: data
  })
}

// 修改基础题库
export function updateBusExamQuestion(data) {
  return request({
    url: '/manage/busExamQuestion',
    method: 'put',
    data: data
  })
}

// 删除基础题库
export function delBusExamQuestion(id) {
  return request({
    url: '/manage/busExamQuestion/' + id,
    method: 'delete'
  })
}
